Subject: Re: bug#59805: 28.2; erc-track: handle faces modified with erc-button-add-face

From: "J.P." <[email-masked]>
Date: Fri, 28 Jul 2023 18:17:05 -0700

This bug raised the issue of users needing to expressly customize an
option (in a third party package) to work around a perceived problem in
the way ERC combines new and existing faces. ERC has since gained its
own module for highlighting nicknames that refrains from doing so atop
`erc-current-nick-face' by default.

As for consing lists of `{,font-lock-}face' values onto one another
(rather than concatenating them), ERC now has a means of addressing this
as well as any headaches posed by traversing traditional trees. See the
new internal functions `erc--merge-prop' and `erc-nicks--skip-p'. And
while it's true that ERC, at present, only merges the `invisible' text
property, extending this to faces remains possible, perhaps during a
major release, like a 6.0.

Thanks and closing.